libzypp: zyppng::ProvideMediaHandle Class Reference

libzypp 17.36.6

Public Types | Public Member Functions | Private Attributes | List of all members
zyppng::ProvideMediaHandle Class Reference

`#include <zypp-media/ng/provide.h>`

## Public Types
using | ParentType = Provide

## Public Member Functions
| ProvideMediaHandle ()=default
| ProvideMediaHandle (Provide &parent, AttachedMediaInfo_Ptr mediaInfoRef)
std::shared_ptr< Provide > | parent () const
bool | isValid () const
std::string | handle () const
const zypp::Url & | baseUrl () const
const std::optional< zypp::Pathname > & | localPath () const
zyppng::AttachedMediaInfo_constPtr | mediaInfo () const

## Private Attributes
ProvideWeakRef | _parent
AttachedMediaInfo_Ptr | _mediaRef

## Detailed Description

RAII helper for media handles

Definition at line 51 of file provide.h.

## Member Typedef Documentation

## ◆ ParentType

using zyppng::ProvideMediaHandle::ParentType = Provide

Definition at line 55 of file provide.h.

## Constructor & Destructor Documentation

## ◆ ProvideMediaHandle() [1/2]

zyppng::ProvideMediaHandle::ProvideMediaHandle | ( |  | ) |
| default

## ◆ ProvideMediaHandle() [2/2]

zyppng::ProvideMediaHandle::ProvideMediaHandle | ( | Provide & | parent,
|  | AttachedMediaInfo_Ptr | mediaInfoRef )

Definition at line 952 of file provide.cc.

## Member Function Documentation

## ◆ parent()

std::shared_ptr< Provide > zyppng::ProvideMediaHandle::parent | ( |  | ) | const

Definition at line 957 of file provide.cc.

## ◆ isValid()

bool zyppng::ProvideMediaHandle::isValid | ( |  | ) | const

Definition at line 962 of file provide.cc.

## ◆ handle()

std::string zyppng::ProvideMediaHandle::handle | ( |  | ) | const

Definition at line 967 of file provide.cc.

## ◆ baseUrl()

const zypp::Url & zyppng::ProvideMediaHandle::baseUrl | ( |  | ) | const

Definition at line 974 of file provide.cc.

## ◆ localPath()

const std::optional< zypp::Pathname > & zyppng::ProvideMediaHandle::localPath | ( |  | ) | const

Definition at line 982 of file provide.cc.

## ◆ mediaInfo()

AttachedMediaInfo_constPtr zyppng::ProvideMediaHandle::mediaInfo | ( |  | ) | const

Definition at line 990 of file provide.cc.

## Member Data Documentation

## ◆ _parent

ProvideWeakRef zyppng::ProvideMediaHandle::_parent
| private

Definition at line 66 of file provide.h.

## ◆ _mediaRef

AttachedMediaInfo_Ptr zyppng::ProvideMediaHandle::_mediaRef
| private

Definition at line 67 of file provide.h.

The documentation for this class was generated from the following files:

- zypp-media/ng/provide.h
- zypp-media/ng/provide.cc